# Gráfica de las primeras dos clases
# de la base de datos de la flores Iris
import numpy as np
import matplotlib.pyplot as plt

vx = np.linspace( -4, 6, 50 )
vy = 1.0/( 1.0 + np.exp( -vx ) )

D = np.loadtxt("p_entrena.txt" )
print( D.shape )

fig, ex = plt.subplots( ) 

ex.scatter( D[:,0], D[:,1] )
ex.plot( vx, vy )

plt.show( )




