import numpy as np
from sklearn.linear_model import LogisticRegression
from sklearn.model_selection import train_test_split
from sklearn.metrics import mean_squared_error

D = np.loadtxt("iris.csv", delimiter=',', skiprows=1, max_rows=100 )
print( D.shape )

# Tenemos que separar los datos en datos para el
# entrenamiento del modelo y datos
# para probar el modelo

X = D[:,0:4]
#       0 <= i < 4
y = D[:,4]

X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=42)
# For defecto son 75% de los datos para entrenamiento

# n, m = X_entrena.shape
# i = 0
# while i < n :
# 	print( X_entrena[i,0], y_entrena[i] )
# 	i += 1

logistica = LogisticRegression()
logistica.fit(X_entrena, y_entrena)

exactitud = logistica.score(X_prueba, y_prueba)
print( "exactitud=", exactitud )

print( logistica.coef_ )
print( logistica.intercept_ )
